Manual

Main API Set Commands

# API Set Commands

On this page, API commands of the set category are described. This category covers all commands to set options in uDraw(Graph). The commands of this category are enclosed by keyword "set(...)". Click here to get an overview of all API commands.

## set(layout_accuracy(integer))

Sets the accuracy of the graph layout algorithm and thereby the processing time. The "integer" parameter of the command has to be in the range from 1 to 5, where higher values mean better layout quality and more processing time. The default value is 3. A higher value may yield fewer edge crossings after using the layout algorithm, but the processing time will rise substantially. So, manipulate this option with caution, especially for very large graphs. Setting this option can also be done by the user with menu Options/Layout Algorithm....

## set(keep_nodes_at_levels(boolean))

Specifies whether or not nodes should be kept at their current level when the graph layout algorithm is performed. The default value is "true". Using argument "false" will place the nodes back to their initial level with the next start of the layout algorithm. Setting this option can also be done by the user with menu Options/Layout Algorithm....

## set(manual_layout(manual_constraints))

To set the mode for fine-tuning. The mode specifies the behavior when a node that is moved with the mouse will touch its left or right neighbour node at the same level. Setting this option can also be done by the user with menu Options/Layout Algorithm....

## set(font_size(integer))

Sets the font size which is used for drawing the text of nodes in the graph. The size "integer" is in "point/pt". The default value is 12. The integer has to be a supported font size, either 6, 8, 10, 12, 14, 18, 24 or 36. Setting the font size to a smaller value is useful to reduce the scale of a graph without losing the text of nodes. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(edge_style(spline_drawing))

Sets the style used for drawing edges. Value "off" means that all long span edges are always drawn with straight line segments. With value "all", uDraw(Graph) will draw all these edges with splines (i.e. curves). When the value is "graph", the attribute EDGEPATTERN of each edge is used to determine whether or not the edge is drawn with splines or straight lines. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(edge_text_black(boolean))

Specifies if the edge text should be always displayed in black ("true") or in grey ("false") if the edge is unselected and only in black if the edge is selected. Setting this option to "true" can lead to an unreadable layout of the graph, because edge texts can cross nodes and other edges or other edge texts. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(gap_width(integer))

Sets the minimal gap distance between nodes at the same level to the given integer. The value has to be in the range between 4 and 300, the default value is 20. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(gap_height(integer))

Sets the minimal gap distance between the levels to the given integer. The value has to be in the range between 4 and 300, the default value is 60. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(multi_edge_gap(integer))

Sets the distance used for drawing multi-edges to the given integer. The value has to be in the range between 2 and 40, the default value is 10. Multi-edges are used when there is more than one edge between two nodes. The single edges of a multi-edge are spread by using this gap. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(self_edge_radius(integer))

Sets the radius used for drawing self-edges to the given integer. The value has to be in the range between 8 and 60, the default value is 16. Self-edges are used when the parent and child node of an edge are the same. Self-edges are drawn at the left or lower side of a node using a circle with a radius specified here. Setting this option can also be done by the user with menu Options/Layout Settings....

## set(scrolling_on_selection(boolean))

This command is used to switch the auto-selection behavior. If auto-selection is on (i.e. parameter is "true") and the user selects a node in a survey view, then uDraw(Graph) automatically scrolls to the same node in the corresponding detail view. (More information about multi-view can be found in the concepts document). This behavior can be switched off using parameter "false". The default value is "true". Setting this option can also be done by the user with menu Options/General Settings....

## set(animation_speed(integer))

Sets the speed used for scrolling animation to the given integer. The value has to be either in the range between 10 and 100 or 0 (0 is a special case to switch the animation off). The default value is 25. Animation is used to scroll the visible part of a base window towards a particular node, for example after using the commands menu(navigation(find(...))) or menu(navigation(navigator(...))). The smaller the value, the slower the speed of scrolling from the old to the new position. Setting this option can also be done by the user with menu Options/General Settings....

## set(browser(string))

To set the command used for starting the web browser. Setting this option can also be done by the user with menu Options/General Settings..., where more information about the browser and online documentation can be found.

## set(documentation(string))

To set the directory (URL prefix) where the online documentation is located. Setting this option can also be done by the user with menu Options/General Settings..., where more information about the browser and online documentation can be found.

## set(print(string))

To specify the print command. Setting this option can also be done by the user with menu Options/General Settings..., where more information about the printing command can be found.

## set(measure(measures))

To set the measure unit used in the print dialog. Setting this option can also be done by the user with menu Options/General Settings....

## set(tooltip_delay(integer))

To set the delay for tooltips in milliseconds. When the mouse pointer is over a node or edge with a tooltip attribute, then you have to wait this time before the tooltip will appear. The value has to be in the range between 0 and 3000, the default value is 1500. Setting this option can also be done by the user with menu Options/General Settings..., where more information about tooltips can be found.

## set(rules_first(boolean))

To control the attribute evaluation order used for visualization definitions as described in the concepts document. When using "true", the value of a node or edge attribute is taken from a matching visualization rule even if the node or edge has the same attribute (a rule matches when the node/edge has the same type). When using "false", an attribute value is only taken from a matching visualization rule when the node or edge does not have this particular attribute. So this command is used to specify the priority between visualization rules and individual attributes. This option cannot be set with the user interface.